#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'arp';
  var elems = FlashSYS.getCache( moduleId );

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR( moduleId ),
      width: 500,
      height: 225,
      padding: 5
    });

    var table = new FlashSYS.Table(window.contentEl, {
      trPrefix: 'arp_',
      tableHead: {
        'iface': { width: 15 },
        'ip': { width: 25 },
        'mask': { width: 25 },
        'mac': { width: 25 },
        'flags': { width: 10 }        
      }
    });

    elems = FlashSYS.setCache(moduleId, {
      window: window,
      table: table
    });
  }

  var tableValues = {}, tableData = <? lua /lib/flashsys/modules/arp/main.lua ?>;
  if ($type(tableData) != 'array') {
    return;
  }

  for (var i = 0, j = tableData.length; i < j; i++) {
    var items = tableData[i].clean().split(' '), id ='entry' + i.toString();
    if (items.length != 6) {
      continue;
    }

    tableValues[ id ] = { 'cells': [
      items[5],
      items[0],
      items[4],
      items[3],
      items[2]
    ]};
  }

  elems.table.loadValues(tableValues);
})();
