#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'firewall_formfwd';
  var elems = FlashSYS.getCache( moduleId );
  var formOptions = <? lua /lib/flashsys/modules/firewall/formfwd.lua ?>;

  if (!formOptions.zones || $type(formOptions.zones) != 'array') {
    return;
  }

  if (!elems) {
    if (formOptions.zones.length < 2) {
      return $notify(
        $TR('firewall_fwd_error')
      );
    }
  
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR( moduleId ),
      width: 280,
      height: 110,
      padding: 5,
      canReload: false,
      type: 'modal'
    });

    var form = new FlashSYS.Form(window.contentEl, {
      trPrefix: 'firewall_fwd_',
      module: moduleId,
      saveModule: 'firewall',
      saveAction: 'savefwd',
      reload: 'firewall',
      submitEl: window.footerEl,
      elements: [
        { 'type': 'select', 'name': 'src', values: formOptions.zones },
        { 'type': 'select', 'name': 'dest', values: formOptions.zones }
      ],
      addChange: true,
      changeModule: 'firewall',
      changeAction: 'restart',
      changeNoId: true
    });

    elems = FlashSYS.setCache( moduleId, {
      window: window,
      form: form
    });
  }

  elems.form.loadValues(formOptions.values, formOptions.params);
})();
