#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'firewall_formrule';
  var elems = FlashSYS.getCache( moduleId );
  var formOptions = <? lua /lib/flashsys/modules/firewall/formrule.lua ?>;

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR( moduleId ),
      width: 280,
      height: 290,
      padding: 5,
      canReload: false,
      type: 'modal'
    });

    var form = new FlashSYS.Form(window.contentEl, {
      trPrefix: 'firewall_rule_',
      module: moduleId,
      saveModule: 'firewall',
      saveAction: 'saverule',
      reload: 'firewall',
      submitEl: window.footerEl,
      elements: [
        { 'type': 'select', 'name': 'target', values: ['ACCEPT', 'REJECT', 'DROP', 'FORWARD'],
          blocks: {
            def: {'rule': 1, 'redirect': 0},
            change: {
              'ACCEPT': {'rule': 1, 'redirect': 0},
              'REJECT': {'rule': 1, 'redirect': 0},
              'DROP': {'rule': 1, 'redirect': 0},
              'FORWARD': {'rule': 0, 'redirect': 1}
            }
          } 
        },
        { 'type': 'select', 'name': 'src', values: formOptions.zones },
        { 'type': 'text', 'name': 'src_ip' },
        { 'type': 'text', 'name': 'src_port' },
        { 'type': 'select', 'name': 'dest', values: formOptions.zones },
        { 'type': 'text', 'name': 'dest_ip' },
        { 'type': 'blockStart', 'name': 'redirect' },
          { 'type': 'text', 'name': 'src_dport' },
          { 'type': 'text', 'name': 'dest_dport' },
        'blockEnd',
        { 'type': 'blockStart', 'name': 'rule' },
          { 'type': 'text', 'name': 'dest_port' },
        'blockEnd',
        { 'type': 'select', 'name': 'proto', values: [['', $TR('both')], ['tcp', 'TCP'], ['udp', 'UDP']] }
      ],
      addChange: true,
      changeModule: 'firewall',
      changeAction: 'restart',
      changeNoId: true
    });

    elems = FlashSYS.setCache( moduleId, {
      window: window,
      form: form
    });
  }

  elems.form.loadValues(formOptions.values, formOptions.params);
})();
