#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'firewall_formsettings';
  var elems = FlashSYS.getCache( moduleId );

  var formOptions = <? lua /lib/flashsys/modules/firewall/formsettings.lua ?>;

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR( moduleId ),
      width: 320,
      height: 150,
      canReload: false,
      type: 'modal'
    });

    var form = new FlashSYS.Form(window.contentEl, {
      module: moduleId,
      saveModule: 'firewall',
      saveAction: 'savesettings',
      reload: 'firewall',
      trPrefix: 'firewall_settings_',
      tabs: ['policies', 'syn_flood'],
      elements: [
        { 'type': 'select', 'name': 'input', values: ['ACCEPT', 'REJECT', 'DROP'] },
        { 'type': 'select', 'name': 'output', values: ['ACCEPT', 'REJECT', 'DROP'] },
        { 'type': 'select', 'name': 'forward', values: ['ACCEPT', 'REJECT', 'DROP'] },
        'tab',
        { 'type': 'select', 'name': 'syn_flood', 'translate': true, 'values': [['0', 'disabled'], ['1', 'enabled']],
          'blocks': {
            'change': {
              '0': { 'syn_flood': 0 },
              '1': { 'syn_flood': 1 }
            }
          }
        },
        { 'type': 'blockStart', 'name': 'syn_flood' },
          { 'type': 'text', 'name': 'syn_rate', 'cls': 'w20p', 'limit': 3 },
          { 'type': 'text', 'name': 'syn_burst', 'cls': 'w20p', 'limit': 3 },
        'blockEnd'
      ],
      submitEl: window.footerEl,
      addChange: true,
      changeModule: 'firewall',
      changeAction: 'restart',
      changeNoId: true
    });

    elems = FlashSYS.setCache( moduleId, { window: window, form: form });
  }

  elems.form.loadValues(formOptions.values, formOptions.params);
})();
