#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'firewall_formzone';
  var elems = FlashSYS.getCache( moduleId );
  var ifaces = <? if-json -se ?>;
  var formOptions = <? lua /lib/flashsys/modules/firewall/formzone.lua ?>;
  var formElems = [
    { 'type': 'text', 'name': 'name' },
    { 'type': 'select', 'name': 'input', values: ['ACCEPT', 'REJECT', 'DROP'] },
    { 'type': 'select', 'name': 'output', values: ['ACCEPT', 'REJECT', 'DROP'] },
    { 'type': 'select', 'name': 'forward', values: ['ACCEPT', 'REJECT', 'DROP'] },
    { 'type': 'checkbox', 'name': 'masq' },
    'tab'
  ];

  if (formOptions.network) {
    for (cfgname in formOptions.network) {
      var netOptions = formOptions.network[ cfgname ];
      var ifname = netOptions.type == 'bridge' ? 'br-' + cfgname : netOptions.ifname;
      
      if (ifaces[ ifname ]) {
        formElems.push({
          'type': 'checkbox',
          'name': ifname,
          'value': cfgname,
          'noTranslate': true,
          'checked': formOptions.network[ cfgname ].included
        });
      }
    }
  }

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR( moduleId ),
      width: 280,
      height: 240,
      canReload: false,
      type: 'modal'
    });

    var form = new FlashSYS.Form(window.contentEl, {
      trPrefix: 'firewall_zone_',
      module: moduleId,
      saveModule: 'firewall',
      saveAction: 'savezone',
      reload: 'firewall',
      submitEl: window.footerEl,
      elements: formElems,
      tabs: ['settings', 'ifnames'],
      addChange: true,
      changeModule: 'firewall',
      changeAction: 'restart',
      changeNoId: true
    });

    elems = FlashSYS.setCache( moduleId, {
      window: window,
      form: form
    });
  }

  elems.form.loadValues(formOptions.values, formOptions.params);
})();
