#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'interfaces_form',
      elems = FlashSYS.getCache( moduleId ),
      formOptions = <? lua /lib/flashsys/modules/interfaces/form.lua ?>,
      ifaces = <? if-json -e ?>,
      ifName = formOptions && formOptions.params && formOptions.params.ifname ? formOptions.params.ifname : '',
      ifaceIp, window, formElems, form;

  if (!elems) {
    ifaceIp = (ifName && ifaces[ ifName ] && ifaces[ ifName ].inetaddr) ? ifaces[ ifName ].inetaddr : $TR('unknown');

    window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR( moduleId ) + (ifName ? ' ' + ifName : ''),
      width: 400,
      height: 200,
      padding: 5,
      canReload: false,
      type: 'modal'
    });

    formElems = [
      { type: 'select', name: 'proto', values: ['static', 'dhcp'], translate: true,
        blocks: {
          def: { 'static': 1, 'dchp': 0 },
          change: {
            'dhcp': { 'static': 0, 'dchp': 1 }
          }
        }
      },
      { type: 'blockStart', name: 'static' },
        { type: 'text', name: 'ipaddr', validate: 'ip' },
        { type: 'text', name: 'netmask', def: '255.255.255.0', validate: 'ip' },
        { type: 'text', name: 'gateway' },
      'blockEnd',
      { type: 'blockStart', name: 'dchp' },
        { type: 'plain', name: 'currip', text: ifaceIp },
      'blockEnd',
      { type: 'text', name: 'dns' },
      { type: 'text', name: 'mtu', def: '1500', cls: 'w20p', addChange: false }
    ];

    form = new FlashSYS.Form(window.contentEl, {
      module: moduleId,
      saveModule: 'interfaces',
      reload: 'interfaces',
      trPrefix: 'interfaces_',
      elements: formElems,
      submitEl: window.footerEl,
      addChange: true,
      changeModule: 'interfaces',
      changeAction: 'restart',
      changeNoId: true
    });

    elems = FlashSYS.setCache( moduleId, { window: window, form: form });
  }

  elems.form.loadValues(formOptions.values, formOptions.params);
})();
