#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var elems = FlashSYS.getCache('interfaces'), vals = {}, win, table,
      usageIcon = { cls: 'Icon Usage', title: $TR('title_usage') };

  FlashSYS.setReloader('interfaces');

  if (!elems) {
    win = FlashSYS.newWindow({
      id: 'interfaces',
      title: $TR('interfaces'),
      width: 600,
      height: 225,
      padding: 5
    });

    table = new FlashSYS.Table(win.contentEl, {
      trPrefix: 'interfaces_',
      params: { module: 'interfaces', action: 'form' },
      tableHead: {
        name: { width: 15 },
        mac: { width: 25 },
        mtu: { width: 10 },
        txbytes: { width: 15, axis: 'number', callback: formatSize },
        rxbytes: { width: 15, axis: 'number', callback: formatSize },
        errors: { width: 15 },
        usage: { width: 5, blank: true, params: { module: 'interfaces', action: 'usage', noEncode: true } }
      }
    });

    elems = FlashSYS.setCache('interfaces', { window: win, table: table });
  }

  $each(<? if-json -e ?>, function(stat, name) {
    if (name.match(/^eth/)) {
      vals[ name ] = {
        cls: (stat.up ? '' : 'Inactive'),
        cells: [
          name,
          stat.hw,
          stat.mtu,
          stat.txbytes,
          stat.rxbytes,
          (stat.txerr + ' / ' + stat.rxerr),
          usageIcon
        ]
      }
    }
  });

  elems.table.loadValues(vals);
})();
