#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'knx';
  var elems = FlashSYS.getCache(moduleId);
  var cmodes = ['tpuarts', 'ipt', 'iptn', 'ip'];

  <?
    grep -q "OC8-S" /proc/cpuinfo
    [ "$?" -eq 0 ] && echo "cmodes.unshift('ft12');"
  ?>

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR(moduleId),
      width: 480,
      height: 325,
      padding: 0,
      canReload: false,
      type: 'modal'
    });

    var form = new FlashSYS.Form(window.contentEl, {
      trPrefix: 'knx_',
      module: moduleId,
      tabs: ['general', 'src_groupfilter', 'dst_groupfilter', 'p2p_groupfilter', 'tunnel'],
      elements: [
        { type: 'select', name: 'cmode', values: cmodes, translate: true,
          blocks: {
            def: { cpath: false, tpuarts_ack: false },
            change: {
              tpuarts: { cpath: false, tpuarts_ack: true },
              ipt: { cpath: true, tpuarts_ack: false },
              iptn: { cpath: true, tpuarts_ack: false }
            }
          }
        },
        { type: 'blockStart', name: 'cpath' },
          { type: 'text', name: 'cpath' },
        'blockEnd',
        { type: 'blockStart', name: 'tpuarts_ack' },
          { type: 'checkbox', name: 'tpuarts_ack' },
        'blockEnd',
        { type: 'text', name: 'eibaddr', validate: { regexp: /^(1[0-5]|[0-9])\.(1[0-5]|[0-9])\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$/ } },
        { type: 'checkbox', name: 'knxip' },
        { type: 'text', name: 'mcast', validate: 'ip' },
        { type: 'text', name: 'ttl', validate: { 'required': false, 'integer': [1, 128] } },
        { type: 'text', name: 'iface' },
        { type: 'text', name: 'queuesize', validate: { 'required': false, 'integer': [1, 1000] } },
        <?
          grep -q "OC8-S" /proc/cpuinfo
          [ "$?" -eq 0 ] && echo "{ type: 'notice', text: 'knx_connection_hint' },"
        ?>
        'tab',
        { type: 'select', name: 'src_policy', values: ['n', 'a', 'd'], translate: true },
        { type: 'textarea', name: 'src_list', rows: 9 },
        { type: 'notice', text: 'knx_policy_hint' },
        'tab',
        { type: 'select', name: 'dst_policy', values: ['n', 'a', 'd'], translate: true },
        { type: 'textarea', name: 'dst_list', rows: 9 },
        { type: 'notice', text: 'knx_policy_hint' },
        'tab',
        { type: 'select', name: 'p2p_policy', values: ['n', 'a', 'd'], translate: true },
        { type: 'textarea', name: 'p2p_list', rows: 9 },
        { type: 'notice', text: 'knx_policy_hint' },
        'tab',
        { type: 'select', name: 'tunnel_mode', translate: true, values: ['disabled', 'client', 'server'],
          blocks: { def: { client: false }, change: { client: { 'client': true } } }
        },
        { type: 'blockStart', name: 'client' },
          { type: 'text', name: 'tunnel_server_ip', validate: 'ip' },
        'blockEnd',
        { type: 'text', name: 'tunnel_local_ip' },
        { type: 'text', name: 'tunnel_local_netmask' },
        { type: 'text', name: 'tunnel_password' },
        { type: 'notice', text: 'knx_tunnel_hint' }
      ],
      submitEl: window.footerEl,
      reboot: true
    });

    elems = FlashSYS.setCache(moduleId, { window: window, form: form });
  }

  var formOptions = <? lua /lib/flashsys/modules/knx/main.lua ?>;
  elems.form.loadValues(formOptions.values, formOptions.params);
})();
