#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'login';
  var elems = FlashSYS.getCache( moduleId );

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR( moduleId ),
      width: 400,
      height: 420,
      canReload: false,
      type: 'modal'
    });

    var form = new FlashSYS.Form(window.contentEl, {
      module: moduleId,
      tabs: ['admin', 'vis' ],
      elements: [
        { type: 'plain', name: 'login', text: 'admin' },
        { type: 'password', name: 'admin_password', validate: { 'length': [8, 16], 'match': ['admin_password_rpt', 'validate_password'] }  },
        { type: 'password', name: 'admin_password_rpt' },
        { type: 'plain', name: 'login', text: 'remote' },
        { type: 'password', name: 'remote_password', validate: { 'length': [6, 16], 'match': ['remote_password_rpt', 'validate_password'] }  },
        { type: 'password', name: 'remote_password_rpt' },
        'tab',
        { type: 'select', name: 'novis', values: ['0','1'], translate: true,
          blocks: {
            def: {'vispwd': 1 },
            change: {
              '1': {'vispwd': 0}
            }
          }
        },
        { type: 'blockStart', name: 'vispwd' },
          { type: 'notice', text: 'login_visadmin' },
          { type: 'plain', name: 'login', text: 'visadmin' },
          { type: 'password', name: 'visadmin_password', validate: { 'length': [6, 16], 'match': ['visadmin_password_rpt', 'validate_password'] }  },
          { type: 'password', name: 'visadmin_password_rpt' },
          { type: 'notice', text: 'login_viscontrol' },
          { type: 'plain', name: 'login', text: 'viscontrol' },
          { type: 'password', name: 'viscontrol_password', validate: { 'length': [6, 16], 'match': ['viscontrol_password_rpt', 'validate_password'] }  },
          { type: 'password', name: 'viscontrol_password_rpt' },
          { type: 'notice', text: 'login_visview' },
          { type: 'plain', name: 'login', text: 'visview' },
          { type: 'password', name: 'visview_password', validate: { 'length': [6, 16], 'match': ['visview_password_rpt', 'validate_password'] }  },
          { type: 'password', name: 'visview_password_rpt' },
        'blockEnd'
      ],
      trPrefix: 'login_',
      submitEl: window.footerEl
    });

    elems = FlashSYS.setCache( moduleId, {
      window: window,
      form: form
    });
  }

  var formOptions = <? lua /lib/flashsys/modules/login/main.lua ?>;
  elems.form.loadValues(formOptions.values, formOptions.params);
})();
