#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'netinfo';
  var elems = FlashSYS.getCache(moduleId);
  FlashSYS.setReloader(moduleId);

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR( moduleId ),
      padding: 5,
      width: 700,
      height: 250
    });
    
    var table = new FlashSYS.Table(window.contentEl, {
      trPrefix: 'interfaces_',
      sortable: true,
      tableHead: {
        name:    { width: 15 },
        mac:     { width: 15 },
        ipaddr:  { width: 15 },
        mtu:     { width: 10 },
        txbytes: { width: 15, axis: 'number', callback: formatSize },
        rxbytes: { width: 15, axis: 'number', callback: formatSize },
        errors:  { width: 10 },
        usage:   { width: 5, blank: true, params: { module: 'interfaces', action: 'usage', noEncode: true } }
      }
    });

    elems = FlashSYS.setCache(moduleId, {
      window: window,
      table: table
    });
  }

  var ifInfo = <? if-json -e ?>, tableValues = {}, usageIcon = {'cls': 'Icon Usage', 'title': $TR('title_usage') };

  for (var ifName in ifInfo) {
    var ifStats = ifInfo[ ifName ];

    tableValues[ ifName ] = {
      cls: (ifStats.up ? '' : 'Inactive'),
      cells: [
        ifName,
        ifStats.hw,
        ifStats.inetaddr,
        ifStats.mtu,
        ifStats.txbytes,
        ifStats.rxbytes,
        ( ifStats.txerr + ' / ' + ifStats.rxerr ),
        usageIcon
      ]
    };
  }

  elems.table.loadValues(tableValues);
})();
