#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'netutils';
  var elems = FlashSYS.getCache( moduleId );

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR( moduleId ),
      padding: 0,
      width: 600,
      height: 350
    });

    var netUtilsEnd = function(result, params) {
      var elem = params.elem;
      if (!elem) {
        return;
      }

      elem.removeClass('NetUtilsLoading').store('lock', false).set('html', result.nl2br());
    };

    var netUtilsStart = function(values, params) {
      var elem = params.elem;
      if (!elem || elem.retrieve('lock')) {
        return;
      }

      elem.empty().addClass('NetUtilsLoading').store('lock', true);

      FlashSYS.load({
        module: moduleId,
        action: params.action,
        data: values,
        exec: false,
        elem: elem,
        success: netUtilsEnd
      });
    };

    var tabs = new FlashSYS.Tabs(window.contentEl, {
      tabs: ['ping', 'traceroute'],
      trPrefix: 'netutils_',
      footerEl: window.footerEl
    });

    var pingResult = new Element('div', {
      'class': 'NetUtilsResult'
    }).inject( tabs.getPanelByIndex(0) );

    var pingForm = new FlashSYS.Form(tabs.getPanelByIndex(0), {
      module: moduleId,
      elements: [
        { type: 'text', name: 'ip', validate: { required: true, regexp: /^[-0-9a-zA-Z\.]+$/ } }
      ],
      trPrefix: 'netutils_',
      skipAutoSize: true,
      submit: netUtilsStart,
      submitParam: {
        elem: pingResult,
        action: 'ping'
      },
      submitEl: tabs.getFooterByIndex(0)
    });

    var traceResult = new Element('div', {
      'class': 'NetUtilsResult'
    }).inject( tabs.getPanelByIndex(1) );

    var traceForm = new FlashSYS.Form(tabs.getPanelByIndex(1), {
      module: moduleId,
      elements: [
        { type: 'text', name: 'ip', validate: { required: true, regexp: /^[-0-9a-zA-Z\.]+$/ } }
      ],
      trPrefix: 'netutils_',
      skipAutoSize: true,
      submit: netUtilsStart,
      submitParam: {
        elem: traceResult,
        action: 'trace'
      },
      submitEl: tabs.getFooterByIndex(1)
    });

    elems = FlashSYS.setCache( moduleId, {
      window: window,
      tabs: tabs,
      pingForm: pingForm,
      traceForm: traceForm
    });
  }
})();
