#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'packages';
  var elems = FlashSYS.getCache( moduleId );

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR( moduleId ),
      width: 640,
      height: 420,
      padding: 5
    });

    FlashSYS.Control.addButton(window.footerEl, {
      'params': { 'module': moduleId, 'action': 'form' },
      'cls': 'Add',
      'title': $TR('packages_form')
    });

    var table = new FlashSYS.Table(window.contentEl, {
      trPrefix: 'packages_',
      sortable: true,
      sortBy: 'package',
      tableHead: {
        'package': { width: 60 },
        'version': { width: 30 },
        'delete':  { width: 10, blank: true, confirm: 'del_confirm', params: { module: moduleId, action: 'delete', reload: moduleId } }
      }
    });

    elems = FlashSYS.setCache(moduleId, {
      window: window,
      table: table
    });
  }

  var tableValues = {}, tableData = <? lua /lib/flashsys/modules/packages/main.lua ?>, delIcon = {'cls': 'Icon Delete', 'title': $TR('title_delete') };
  if ($type(tableData) != 'array') {
    return;
  }

  for (var i = 0, j = tableData.length; i < j; i++) {
    var items = tableData[i].split(' - ');
    if (items.length != 2) {
      continue;
    }

    var id = items[0].replace(/[^-\w]+/, '_');
    tableValues[ id ] = { cells: [ items[0], items[1], delIcon ] };
  }

  elems.table.loadValues(tableValues);
})();
