#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'processes';
  var elems = FlashSYS.getCache( moduleId );
  FlashSYS.setReloader(moduleId);

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR( moduleId ),
      width: 640,
      height: 420,
      padding: 5
    });

    var table = new FlashSYS.Table(window.contentEl, {
      trPrefix: 'processes_',
      tableHead: {
        'pid': { width: 15 },
        'cmd': { width: 75 },
        'delete': { width: 10, blank: true, confirm: 'processes_confirm', params: { module: moduleId, action: 'delete', reload: moduleId } }
      }
    });

    elems = FlashSYS.setCache(moduleId, {
      window: window,
      table: table
    });
  }

  var tableValues = {}, tableData = <? lua /lib/flashsys/modules/processes/main.lua ?>, delIcon = { 'cls': 'Icon Delete', 'title': $TR('title_delete') };
  if ($type(tableData) != 'array') {
    return;
  }

  for (var i = 0, j = tableData.length; i < j; i++) {
    var items = tableData[i].clean().split(' ');
    if (items.length < 5) {
      continue;
    }

    var pid = items[0], cmd = items.slice(4).join(' ');
    tableValues[ pid ] = [ pid, cmd, delIcon];
  }

  elems.table.loadValues(tableValues);
})();
