#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'routes';
  var elems = FlashSYS.getCache( moduleId );

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR( moduleId ),
      width: 500,
      height: 225
    });

    var tabs = new FlashSYS.Tabs(window.contentEl, {
      tabs: ['dynamic', 'static'],
      trPrefix: 'routes_',
      footerEl: window.footerEl
    });

    FlashSYS.Control.addButton(tabs.getFooterByIndex(1), {
      params: { 'module': moduleId, 'action': 'form' },
      cls: 'Add'
    });

    var dynTable = new FlashSYS.Table(tabs.getPanelByIndex(0), {
      trPrefix: 'routes_',
      tableHead: {
        'iface': { width: 15 },
        'dest': { width: 25 },
        'gateway': { width: 25 },
        'mask': { width: 25 },
        'flags': { width: 10 }
      }
    });

    var staTable = new FlashSYS.Table(tabs.getPanelByIndex(1), {
      params: {'module': moduleId, 'action': 'form' },
      trPrefix: 'routes_',
      tableHead: {
        'iface': { width: 15 },
        'dest': { width: 25 },
        'gateway': { width: 25 },
        'mask': { width: 25 },
        'delete': { width: 10, blank: true, confirm: 'del_confirm', params: { module: moduleId, action: 'delete', reload: moduleId } }
      }
    });

    elems = FlashSYS.setCache(moduleId, {
      window: window,
      dynTable: dynTable,
      staTable: staTable,
      tabs: tabs
    });
  }

  var staTableValues = {}, dynTableValues = {}, tableData = <? lua /lib/flashsys/modules/routes/main.lua ?>, delIcon = {cls: 'Icon Delete' } ;
  if ($type(tableData) != 'object') {
    return;
  }

  for (var i = 0, j = tableData.dynamic.length; i < j; i++) {
    var items = tableData.dynamic[i].clean().split(' '), id ='entry' + i.toString();
    if (items.length != 8) {
      continue;
    }

    dynTableValues[ id ] = { 'cells': [items[7], items[0], items[1], items[2], items[3]]};
  }

  for (var i = 0; i < tableData.static.length; i++) {
    var options = tableData.static[ i ];

    if (options['deleted'] == '1') {
      continue;
    }

    staTableValues[options['.name']] = {
      cells: [options.interface, options.target, options.gateway, options.netmask, delIcon]
    };
  }

  elems.dynTable.loadValues(dynTableValues);
  elems.staTable.loadValues(staTableValues);
})();
