#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'upgrade';
  var elems = FlashSYS.getCache(moduleId);

  // fader ticker/timer function
  if (!FlashSYS.reflashTicker) {
    FlashSYS.reflashTicker = function(tickTimer) {
      if (tickTimer >= 0) {
        FlashSYS.Fader.step(tickTimer.toString())
        FlashSYS.reflashTicker.delay(1000, FlashSYS, --tickTimer);
      }
      else {
        FlashSYS.Fader.stop();
      }
    }
  }

  if (!elems) {
    var isSupported = <? lua /lib/flashsys/modules/upgrade/main.lua ?>;

    if (isSupported) {
      var window = FlashSYS.newWindow({
        id: moduleId,
        title: $TR(moduleId),
        width: 280,
        height: 120,
        padding: 5,
        canReload: false,
        type: 'modal'
      });

      var form = new FlashSYS.Form(window.contentEl, {
        module: moduleId,
        saveModule: moduleId,
        saveAction: 'save',
        trPrefix: 'upgrade_',
        elements: [
          { type: 'file', name: 'fwfile' },
          { type: 'plain', name: 'hint', text: $TR('upgrade_hint'), skipLabel: true, wrapCls: 'FSFormHint' }
        ],
        iframe: true,
        callback: function(success) {
          // valid firmware image
          if (success.toInt() == 1) {
            var startTimer = 300;

            FlashSYS.Fader.start({
              title: $TR('upgrade_wait'),
              ticker: startTimer.toString(),
              tickerPrefix: $TR('upgrade_remaining')
            });

            FlashSYS.reflashTicker(startTimer);

            FlashSYS.load({
              module: moduleId,
              action: 'start'
            });
          }
          // invalid
          else {
            FlashSYS.notifyWindow( $TR('upgrade_invalid') );
          }
        },
        submitEl: window.footerEl
      });

      elems = FlashSYS.setCache(moduleId, {
        window: window,
        form: form
      });
    }
    else {
      FlashSYS.notifyWindow( $TR('upgrade_unsupported') );
    }
  }
})();
