#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

(function(){
  var moduleId = 'vsftpd';
  var elems = FlashSYS.getCache(moduleId);

  if (!elems) {
    var window = FlashSYS.newWindow({
      id: moduleId,
      title: $TR(moduleId),
      width: 400,
      height: 300,
      padding: 0,
      canReload: false,
      padding: 5,
      type: 'modal'
    });

    var form = new FlashSYS.Form(window.contentEl, {
      trPrefix: 'vsftpd_',
      module: moduleId,
      elements: [
        { type: 'select', name: 'enabled', values: ['0', '1'], translate: true },
        { type: 'text', name: 'port', validate: 'integer' },
        { type: 'plain', name: 'username', text: 'ftp' },
        { type: 'text', name: 'password', validate: { required: false, length: [ 4, 20 ] } },
        { type: 'text', name: 'pasv_address', validate: { required: false, ip: true } },
        { type: 'text', name: 'pasv_min_port', validate: { required: false, integer: [ 1, 65535 ] } },
        { type: 'text', name: 'pasv_max_port', validate: { required: false, integer: [ 1, 65535 ] } },
        { type: 'notice', text: 'vsftpd_hint' }
      ],
      submitEl: window.footerEl
    });

    elems = FlashSYS.setCache(moduleId, { window: window, form: form });
  }

  var formOptions = <? lua /lib/flashsys/modules/vsftpd/main.lua ?>;
  elems.form.loadValues(formOptions.values, formOptions.params);
})();
