#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

<!DOCTYPE HTML>
<html lang="en-US">
<head>
  <meta charset="UTF-8">
  <title>ComfoWay Full Vizualization</title>
  <meta http-equiv="content-type" content="text/html; charset=utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
  <meta name="apple-mobile-web-app-capable" content="yes">
  <script type="text/javascript" src="/scada/resources/core.js"></script>
  <script type="text/javascript" src="/scada/vis/jquery.js.gz"></script>
  <script type="text/javascript">
    var Globals = {
      config: <? lua /lib/genohm-scada/web/general/config-form.lua short ?>,
      updateTime: $.trim('<? cat /tmp/gs-groupmonitor.time 2>/dev/null ?>'),
      loadTime: <? lua -e 'io.write(os.time())' ?>,
      user: '<? echo -n "$REMOTE_USER" ?>'
    };

    document.write(
      '<scr' + 'ipt type="text/javascript" src="/scada/resources/' +
      (Globals.config.language ? 'languages/' + Globals.config.language + '.js' : 'language.js') +
      '"></scr' + 'ipt>'
    );
  </script>
  <script type="text/javascript" src="/scada/vis/controls.js.gz"></script>
  <script type="text/javascript" src="/scada/vis/core.js.gz"></script>
  <script type="text/javascript" src="/scada/resources/gauge.js"></script>
  <script type="text/javascript" src="/scada/vis/dygraph.js.gz"></script>
  <link rel="stylesheet" type="text/css" href="/scada/vis/core.css.gz">
  <link rel="stylesheet" type="text/css" href="/scada/vis/brand.css.gz">
  <link rel="stylesheet" type="text/css" href="/scada/vis/custom.css">
  <link rel="apple-touch-icon" href="../../icon.png">
  <link rel="shortcut icon" type="image/png" href="../../icon.png">
</head>
<body>
  <div class="templates">
    <div class="control control-toggler toggler">
      <span class="btn btn-toggler"><i class="icon-remove"></i></span>
      <span class="btn active btn-bg">&nbsp;</span>
    </div>

    <div class="control control-checkbox">
      <button class="btn"><i class="icon-ok"></i></button>
    </div>
  </div>

  <div class="popover control control-spinner">
    <div class="popover-content input-prepend input-append">
      <button class="btn btn-large spinner-down"><i class="icon icon-minus"></i></button>
      <input type="text" class="spinner-value input-large">
      <button class="btn btn-large spinner-up"><i class="icon icon-plus"></i></button>
    </div>
  </div>

  <div class="popover control control-dimmer">
    <div class="popover-content input-prepend input-append">
      <button class="btn btn-large dimmer-down"><i class="icon icon-minus"></i></button>
      <button class="btn btn-large dimmer-up"><i class="icon icon-plus"></i></button>
    </div>
  </div>

  <div class="popover control control-slider">
    <div class="popover-content slider-wrap">
      <button class="btn btn-large slider-min"><i class="icon icon-chevron-left"></i></button>
      <div class="slider">
        <span class="btn btn-large slider-handle"></span>
        <div class="progress"></div>
      </div>
      <button class="btn btn-large slider-max"><i class="icon icon-chevron-right"></i></button>
    </div>
  </div>

  <div class="popover control control-textinput control-group">
    <div class="popover-content input-append">
      <input type="text" class="input-large" maxlength="14">
      <button class="btn btn-large btn-ok"><i class="icon-ok"></i></button>
    </div>
  </div>

  <div class="well well-small control control-timepicker hide">
    <select class="timepicker-day">
      <option value="0" class="tr">dt_noday</option>
      <option value="1" class="tr">dt_monday</option>
      <option value="2" class="tr">dt_tuesday</option>
      <option value="3" class="tr">dt_wednesday</option>
      <option value="4" class="tr">dt_thursday</option>
      <option value="5" class="tr">dt_friday</option>
      <option value="6" class="tr">dt_saturday</option>
      <option value="7" class="tr">dt_sunday</option>
    </select>

    <div class="timepicker">
      <div class="spinner-vertical timepicker-hour">
        <button class="btn btn-large spinner-up"><i class="icon icon-chevron-up"></i></button>
        <input type="text" class="input-large spinner-value">
        <button class="btn btn-large spinner-down"><i class="icon icon-chevron-down"></i></button>
      </div>
      <div class="spinner-vertical timepicker-minute">
        <button class="btn btn-large spinner-up"><i class="icon icon-chevron-up"></i></button>
        <input type="text" class="input-large spinner-value">
        <button class="btn btn-large spinner-down"><i class="icon icon-chevron-down"></i></button>
      </div>
      <div class="spinner-vertical timepicker-second">
        <button class="btn btn-large spinner-up"><i class="icon icon-chevron-up"></i></button>
        <input type="text" class="input-large spinner-value">
        <button class="btn btn-large spinner-down"><i class="icon icon-chevron-down"></i></button>
      </div>
    </div>

    <div class="pull-right">
      <button class="btn btn-large btn-info btn-ok"><i class="icon-ok icon-white"></i></button>
      <button class="btn btn-large btn-cancel"><i class="icon-remove"></i></button>
    </div>
  </div>

  <div class="well well-small control control-vdatepicker hide">
    <div class="inner"></div>
    <div class="pull-right">
      <button class="btn btn-large btn-info btn-ok"><i class="icon-ok icon-white"></i></button>
      <button class="btn btn-large btn-cancel"><i class="icon-remove"></i></button>
    </div>
  </div>

  <div class="well well-small control control-pincode hide">
    <div class="control-group">
      <input type="text" class="input-large disabled" value="" disabled="disabled">
    </div>

    <div class="btn-group">
      <button class="btn btn-large">1</button>
      <button class="btn btn-large">2</button>
      <button class="btn btn-large">3</button>
    </div>
    <div class="btn-group">
      <button class="btn btn-large">4</button>
      <button class="btn btn-large">5</button>
      <button class="btn btn-large">6</button>
    </div>
    <div class="btn-group">
      <button class="btn btn-large">7</button>
      <button class="btn btn-large">8</button>
      <button class="btn btn-large">9</button>
    </div>
    <div class="btn-group">
      <button class="btn btn-large">0</button>
      <button class="btn btn-large btn-backspace"><i class="icon-backspace"></i></button>
    </div>

    <div class="pull-right">
      <button class="btn btn-large btn-info btn-ok"><i class="icon-ok icon-white"></i></button>
      <button class="btn btn-large btn-cancel"><i class="icon-remove"></i></button>
    </div>
  </div>

  <div class="modal-backdrop hide"></div>

  <div class="menu">
    <ul class="nav nav-pills nav-stacked"></ul>
  </div>

  <div class="layers">
    <div class="layer layout-background"></div>
    <div class="layer plan-background"></div>
  </div>

  <button class="btn btn-show-hide hide"><i class="icon icon-chevron-right"></i><i class="icon icon-chevron-left"></i></button>
  <script type="text/javascript">
    $(function() {
      var data, objects, dflt;

      data = <? lua /lib/genohm-scada/web/vis/usermode.lua ?>;
      objects = <? lua /lib/genohm-scada/web/objects/main.lua short ?>;

      Scada.baseMode = 'scada-vis';

      objectStore.register(objects.data);

      visCentered = toBoolean(Globals.config.viscenter);

      $.each(data.levels, addMenuLevel);
      $.each(data.layouts, renderPlan);
      $.each(data.widgets, renderPlan);
      $.each(data.plans, renderPlan);

      $.each(data.plans, renderWidgets);
      $.each(data.layouts, renderWidgets);
      $.each(data.widgets, renderWidgets);

      renderMenu();
      dflt = parseInt(window.location.hash.substr(1), 10);
      if (!isNaN(dflt) && planStore[ dflt ]) {
        Globals.defaultPlan = dflt;
      }
      showPlan(Globals.defaultPlan);

      pollObjectUpdate();
      initControls();

      if (toBoolean(Globals.config.useralerts)) {
        Globals.alert = 0;
        setInterval(loadUserAlerts, 5000)
      }
    });
  </script>
</body>
</html>
