#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

<!DOCTYPE HTML>
<html lang="en-US">
<head>
  <meta charset="UTF-8">
  <title>ComfoWay Schedulers</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-touch-icon" content="/scada/resources/images/trends.png">

  <script type="text/javascript" src="/scada/resources/core.js"></script>
  <script type="text/javascript">
    var Config = <? lua /lib/genohm-scada/web/general/config-form.lua short ?>;
    document.write(
      '<scr' + 'ipt type="text/javascript" src="/scada/resources/' +
      (Config.language ? 'languages/' + Config.language + '.js' : 'language.js') +
      '"></scr' + 'ipt>'
    );
  </script>
  <script type="text/javascript" src="/scada/vis/jquery.js.gz"></script>
  <script type="text/javascript" src="/scada/vis/controls.js.gz"></script>
  <script type="text/javascript" src="/scada/vis/schedulers.js.gz"></script>
  <link rel="stylesheet" type="text/css" href="/scada/vis/core.css.gz">
  <link rel="stylesheet" type="text/css" href="/scada/vis/schedulers.css.gz">
  <link rel="stylesheet" type="text/css" href="/scada/vis/brand.css.gz">
  <link rel="stylesheet" type="text/css" href="/scada/vis/custom.css">
  <link rel="apple-touch-icon" href="/scada/resources/images/schedulers.png">
</head>
<body class="schedulers">
  <div class="navbar navbar-fixed-top">
    <div class="navbar-inner">
      <div class="container">
        <button class="btn btn-large pull-left btn-menu"><i class="icon-align-justify"></i></button>
        <button class="btn btn-large pull-left btn-prev"><i class="icon-chevron-left"></i></button>
        <button class="btn btn-large pull-right btn-next"><i class="icon-chevron-right"></i></button>
        <h4 class="title"></h4>
      </div>
    </div>
  </div>
  <div class="content content-scheduler hide">
    <div class="info">
      <span class="inner">
        Status:
        <span class="status-active hide">active,</span>
        <span class="status-inactive hide">inactive,</span>
        period: <span class="period"></span>
      </span>

      <span class="btn btn-small scheduler-edit"><i class="icon-edit"></i> Edit</span>
    </div>

    <table class="table">
      <thead>
        <tr>
          <th>Value</th>
          <th>Run at</th>
          <td>
            <span class="btn btn-success pull-right" id="event-add"><i class="icon-white icon-plus-sign"></i> Add event</span>
          </td>
        </tr>
      </thead>
      <tbody></tbody>
      <tfoot class="hide">
        <tr class="empty">
          <td colspan="3">No events to display</td>
        </tr>
        <tr class="tpl">
          <td class="value"></td>
          <td class="run-at"></td>
          <td>
            <div class="btn-group pull-right">
              <span class="btn edit"><i class="icon-edit"></i> Edit</span>
              <span class="btn delete"><i class="icon-remove"></i> Delete</span>
            </div>
          </td>
        </tr>
      </tfoot>
    </table>
  </div>
  <div class="content content-holidays hide">
    <table class="table">
      <thead>
        <tr>
          <th>Name</th>
          <th>Date</th>
          <td>
            <span class="btn btn-success pull-right" id="holiday-add"><i class="icon-white icon-plus-sign"></i> Add holiday</span>
          </td>
        </tr>
      </thead>
      <tbody></tbody>
      <tfoot class="hide">
        <tr class="empty">
          <td colspan="3">No holidays to display</td>
        </tr>
        <tr class="tpl">
          <td class="name"></td>
          <td class="date"></td>
          <td>
            <div class="btn-group pull-right">
              <span class="btn edit"><i class="icon-edit"></i> Edit</span>
              <span class="btn delete"><i class="icon-remove"></i> Delete</span>
            </div>
          </td>
        </tr>
      </tfoot>
    </table>
  </div>
  <div class="sidebar sidebar-menu">
    <ul class="nav nav-pills nav-stacked">
      <li class="divider"></li>
      <li><span class="a holidays">Holidays</span></li>
    </ul>
  </div>

  <div class="sidebar sidebar-edit hide" id="event-form">
    <h4 class="title-add hide">Add event</h4>
    <h4 class="title-edit hide">Edit event</h4>
    <label class="checkbox"><input type="checkbox" name="active" id="event-active"> Event is active</label>

    <div class="timepicker timepicker-event">
      <label>Run at</label>
      <div class="spinner-vertical timepicker-hour" id="spinner-start-hour">
        <button class="btn btn-large spinner-up"><i class="icon icon-chevron-up"></i></button>
        <input type="text" class="spinner-value" value="" name="start_hour">
        <button class="btn btn-large spinner-down"><i class="icon icon-chevron-down"></i></button>
      </div>
      <div class="spinner-vertical timepicker-min" id="spinner-start-min">
        <button class="btn btn-large spinner-up"><i class="icon icon-chevron-up"></i></button>
        <input type="text" class="spinner-value" value="" name="start_min">
        <button class="btn btn-large spinner-down"><i class="icon icon-chevron-down"></i></button>
      </div>
    </div>

    <div class="event-days">
      <div class="btn-group btn-group-days">
        <button class="btn btn-day-single" id="day_0">Mo</button>
        <button class="btn btn-day-single" id="day_1">Tu</button>
        <button class="btn btn-day-single" id="day_2">We</button>
        <button class="btn btn-day-single" id="day_3">Th</button>
        <button class="btn btn-day-single" id="day_4">Fr</button>
      </div>

      <div class="btn-group">
        <button class="btn btn-day-single" id="day_5">Sa</button>
        <button class="btn btn-day-single" id="day_6">Su</button>
      </div>

      <button class="btn btn-day btn-holiday" id="day_7">Holiday</button>
      <button class="btn btn-info btn-day" id="btn-all">All</button>
    </div>

    <label>Value <span id="control-value" class="hide label label-info"></span></label>

    <select class="event-value" id="event-value-enums"></select>

    <select class="event-value" id="event-value-bool">
      <option value="0">Off</option>
      <option value="1">On</option>
    </select>
    <input type="text" class="event-value" id="event-value-text">

    <div class="spinner input-prepend input-append event-value" id="event-value-spinner">
      <button class="btn btn-large spinner-down"><i class="icon icon-minus"></i></button>
      <input type="text" class="spinner-value">
      <button class="btn btn-large spinner-up"><i class="icon icon-plus"></i></button>
    </div>

    <div class="slider-wrap event-value" id="event-value-slider">
      <button class="btn btn-large slider-min"><i class="icon icon-chevron-left"></i></button>
      <button class="btn btn-large slider-max"><i class="icon icon-chevron-right"></i></button>
      <div class="slider">
        <span class="btn slider-handle"></span>
        <div class="progress"></div>
      </div>
    </div>

    <input type="hidden" name="scheduler" id="event-scheduler">
    <input type="hidden" name="id" id="event-id">

    <div class="actions">
      <span class="btn btn-success" id="event-save" type="submit">Save</span>
      <span class="btn btn-cancel">Cancel</span>
    </div>
  </div>

  <div class="sidebar sidebar-edit hide" id="scheduler-form">
    <h4>Edit scheduler</h4>
    <label class="checkbox"><input type="checkbox" name="active" id="scheduler-active"> Scheduler is active</label>

    <div class="timepickers">
      <div class="timepicker timepicker-start">
        <label>Start date</label>
        <div class="spinner-vertical timepicker-day" id="spinner-start-day">
          <button class="btn btn-large spinner-up"><i class="icon icon-chevron-up"></i></button>
          <input type="text" class="spinner-value" value="" name="start_day">
          <button class="btn btn-large spinner-down"><i class="icon icon-chevron-down"></i></button>
        </div>
        <div class="spinner-vertical spinner timepicker-month" id="spinner-start-month">
          <button class="btn btn-large spinner-up"><i class="icon icon-chevron-up"></i></button>
          <input type="hidden" class="spinner-value" value="" name="start_month">
          <input type="text" class="spinner-display" value="">
          <button class="btn btn-large spinner-down"><i class="icon icon-chevron-down"></i></button>
        </div>
      </div>

      <div class="timepicker timepicker-end">
        <label>End date</label>
        <div class="spinner-vertical spinner timepicker-day" id="spinner-end-day">
          <button class="btn btn-large spinner-up"><i class="icon icon-chevron-up"></i></button>
          <input type="text" class="spinner-value" value="" name="end_day">
          <button class="btn btn-large spinner-down"><i class="icon icon-chevron-down"></i></button>
        </div>
        <div class="spinner-vertical spinner timepicker-month" id="spinner-end-month">
          <button class="btn btn-large spinner-up"><i class="icon icon-chevron-up"></i></button>
          <input type="hidden" class="spinner-value" value="" name="end_month">
          <input type="text" class="spinner-display" value="">
          <button class="btn btn-large spinner-down"><i class="icon icon-chevron-down"></i></button>
        </div>
      </div>
    </div>

    <input type="hidden" name="id" id="scheduler-id">

    <div class="actions">
      <span class="btn btn-success" id="scheduler-save" type="submit">Save</span>
      <span class="btn btn-cancel">Cancel</span>
    </div>
  </div>

  <div class="sidebar sidebar-edit hide" id="holiday-form">
    <h4 class="title-add hide">Add holiday</h4>
    <h4 class="title-edit hide">Edit holiday</h4>
    <label for="holiday-name">Name</label>
    <input type="text" name="name" id="holiday-name" placeholder="New holiday" class="text">

    <label>Date</label>
    <div class="picker"></div>

    <label class="checkbox"><input type="checkbox" name="recurring" id="holiday-recurring"> Recurring every year</label>
    <input type="hidden" name="day" id="holiday-day">
    <input type="hidden" name="month" id="holiday-month">
    <input type="hidden" name="year" id="holiday-year">
    <input type="hidden" name="id" id="holiday-id">

    <div class="actions">
      <span class="btn btn-success" id="holiday-save" type="submit">Save</span>
      <span class="btn btn-cancel">Cancel</span>
    </div>
  </div>

  <div class="modal hide" id="holiday-delete-modal">
    <div class="modal-header">
      <h4>Delete this holiday?</h4>
    </div>
    <div class="modal-footer actions">
      <span class="btn btn-danger btn-delete" type="submit">Delete</span>
      <span class="btn btn-close">Cancel</span>
    </div>
  </div>

  <div class="modal hide" id="event-delete-modal">
    <div class="modal-header">
      <h4>Delete this event?</h4>
    </div>
    <div class="modal-footer actions">
      <span class="btn btn-danger btn-delete" type="submit">Delete</span>
      <span class="btn btn-close">Cancel</span>
    </div>
  </div>

  <div class="modal-backdrop"></div>
</body>
</html>
