#!/usr/bin/haserl
Content-Type: text/javascript

Scada.ErrorLog = {};
var $EL = Scada.ErrorLog;

$EL.store = new Ext.data.JsonStore({
  url: Scada.reqUrl('errorlog'),
  root: 'data',
  fields: [ 'id', 'scriptname', 'errortime', 'errortext' ]
});

$EL.pagination = new Ext.PagingToolbar({
  pageSize: Config.perpage,
  store: $EL.store,
  displayInfo: true,
  displayMsg: $tr('errorlog_pages_hint'),
  emptyMsg: $tr('errorlog_pages_empty'),
  refreshText: false, firstText: false, lastText: false, nextText: false, prevText: false,
  prependButtons: true,
  items: [
    { text: $tr('utilities_reset_button'), id: 'reset-errors', iconCls: 'icon-clear' }, '-'
  ]
});

$EL.grid = new Ext.grid.GridPanel($def.grid({
  id: 'errorlog-grid',
  store: $EL.store,
  bbar: $EL.pagination,
  cls: 'x-scada-ns-grid',
  colModel: new Ext.grid.ColumnModel({
    columns: [
      { header: $tr('errorlog_time'), width: .15, dataIndex: 'errortime', xtype: 'timestampcolumn' },
      { header: $tr('errorlog_name'), width: .15, dataIndex: 'scriptname', renderer: Ext.util.Format.htmlEncode },
      { header: $tr('errorlog_text'), width: .70, dataIndex: 'errortext', renderer: Scada.renderError }
    ]
  })
}));

$EL.container = new Ext.Container({
  id: 'ErrorLog',
  title: $tr('errorlog_title'),
  layout: 'border',
  items: $EL.grid
});

$EL.update = function() {
  $EL.pagination.doRefresh();
}

$EL.init = function() {
  $EL.reloaderTask = { run: $EL.update, interval: 6000 };
}

Scada.Modules.push($EL);
