#!/bin/sh

TC="/tmp/gs-groupmonitor.time"
TO="$TC.old"

# get current time
CUR=$(cat "$TC")
TICKS=${1:-45}
SLEEP=${2:-1}

# check previous value
if [ -n "$3" ]; then
  RES=$3
elif [ -e "$TO" ]; then
  RES=$(cat "$TO")
else
  RES="$CUR"
fi

# no diff with previous, start polling
if [ "$RES" = "$CUR" ]; then
  # read time and check for updates
  while [ $TICKS -gt 0 ]; do
    RES=$(cat "$TC")

    # updated
    [ "$RES" != "$CUR" ] && break

    # wait for next check
    sleep "$SLEEP"
    let TICKS--
  done
else
  RES="$CUR"
fi

# save previous value and send to waiting task
echo $RES > "$TO"
echo $RES
