#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html>
<head>
  <title><? cat /lib/genohm-scada/brand ?></title>
  <meta http-equiv="content-type" content="text/html; charset=utf-8" />

  <link rel="stylesheet" type="text/css" href="/scada/resources/print.css" />
  <script type="text/javascript" src="/scada/resources/language.js"></script>
  <!--[if IE]>
  <style type="text/css">code { white-space: pre; word-wrap: break-word; }</style>
  <![endif]-->
</head>
<body>
<script type="text/javascript">
  var scripts = <? lua /lib/genohm-scada/web/scripting/print.lua ?>, i, j, item, category = null;
  function w(t) {
    document.write(t);
  }

  function t(k) {
    return (Translations[ k ] || k);
  }

  for (i = 0, j = scripts.length; i < j; i++) {
    item = scripts[ i ];

    if (category !== item.category) {
      w('<div class="hr"></div>');
      w('<h1>' + t('scripting_category') + ': ' + (item.category || t('unknown')) + '</h1>');
      category = item.category;
    }

    w('<div class="hr"></div>');

    w('<div class="script">');
      if (item.type == 'userlib') {
        w('<h2>' + t('scripting_tools_userlib') + '</h2>');
      }
      else if (item.type == 'initscript') {
        w('<h2>' + t('scripting_tools_initscript') + '</h2>');
      }
      else if (item.type == 'user') {
        w('<h2>user.' + item.name + '</h2>');
      }
      else {
        w('<h2>' + item.name + ' (id: ' + item.id + ')</h2>');

        w('<h3>' + t('scripting_type') + ': ' + t('scripting_' + item.type) + '</h3>');
        w('<h3>' + t('scripting_active') + ': ' + (item.active == '1' ? t('yes') : t('no')) + '</h3>');
       
      }

      switch (item.type) {
        case 'event':
          w('<h3>' + t('scripting_address') + ': ' + item.params + '</h3>');
        break;
        case 'resident':
          w('<h3>' + t('scripting_sleep') + ': ' + item.params + '</h3>');
        break;
        case 'scheduled':
          w('<h3>' + t('scripting_datetime') + ': ' + item.params + '</h3>');
        break;
      }

      if (item.description) w('<p>' + item.description + '</p>');
      w('<code>' + item.script + '</code>');
    w('</div>');
  }
</script>
</body>
</html>
